<?php

/**
 * Page de traitement permettant le changement du domaine par défaut.
 * Elle est appelée par un formulaire de la page de gestion des domaines elle-même appelée par la page d'administration centrale.
 */

session_start();
require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/sessions/privileges.php");
if (testPrivileges()!="administrateur") {
	header("Location: /pages/visiteurs/formulaire_accueil.php?erreur=18");
	die();
}
require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/bdd/domaines.php");

$liste_domaines = listeDomainesBdd($pdo);

if (isset($_POST['choix_domaine_defaut']) && !empty($_POST['choix_domaine_defaut'])) {
	foreach ($liste_domaines as $domaine_cles => $domaine_valeurs){
		// Vérification de l'existance du domaine renseigné par l'utilisateur
		if ($_POST['choix_domaine_defaut'] == $domaine_valeurs['domaine']) {
			changeDomaineDefautBdd($pdo,$_POST['choix_domaine_defaut']);
			header ("Location: /pages/gestion/administration.php?page=domaines&succes=8");
			die();
		}
	}
	header ("Location: /pages/gestion/administration.php?page=domaines&erreur=8");
	die();
}
else {
	header ("Location: /pages/gestion/administration.php?page=domaines&erreur=8");
	die();
}

?>